#! /bin/bash
killall ecomb
export USBDEV=`df -h | tail -1 | awk '{print $6}'`
for i in `seq 0 1 12`
 do 
   nanddump -f ${USBDEV}/mtd${i} /dev/mtd${i}
   if [ $? == 0 ]
   then
     echo SUCCESS dumping /dev/mtd${i} >> ${USBDEV}/SSA3KDMP.log
   else
     echo ERROR dumping /dev/mtd${i} >> ${USBDEV}/SSA3KDMP.log
   fi
   sleep 1
done

cp -p -R /usr/bin/siglent/usr/backup /usr/bin/siglent/usr/mass_storage/U-disk0/SSA3021x_backup
cp -p -R /usr/bin/siglent/firmdata0 /usr/bin/siglent/usr/mass_storage/U-disk0/SSA3021x_firmdata0
